# Uses of Class
java.security.cert.CRL

Packages that use CRL
Package
Description
java.security.cert
Provides classes and interfaces for parsing and managing certificates, certificate revocation lists (CRLs), and certification paths.

## Uses of CRL in java.security.cert

Subclasses of CRL in java.security.cert
Modifier and Type
Class
Description
`class`
`X509CRL`
Abstract class for an X.509 Certificate Revocation List (CRL).
Methods in java.security.cert that return CRL
Modifier and Type
Method
Description
`abstract CRL`
CertificateFactorySpi.`engineGenerateCRL​(InputStream inStream)`
Generates a certificate revocation list (CRL) object and initializes it with the data read from the input stream `inStream`.
`CRL`
CertificateFactory.`generateCRL​(InputStream inStream)`
Generates a certificate revocation list (CRL) object and initializes it with the data read from the input stream `inStream`.
Methods in java.security.cert that return types with arguments of type CRL
Modifier and Type
Method
Description
`abstract Collection<? extends CRL>`
CertificateFactorySpi.`engineGenerateCRLs​(InputStream inStream)`
Returns a (possibly empty) collection view of the CRLs read from the given input stream `inStream`.
`abstract Collection<? extends CRL>`
CertStoreSpi.`engineGetCRLs​(CRLSelector selector)`
Returns a `Collection` of `CRL`s that match the specified selector.
`Collection<? extends CRL>`
CertificateFactory.`generateCRLs​(InputStream inStream)`
Returns a (possibly empty) collection view of the CRLs read from the given input stream `inStream`.
`Collection<? extends CRL>`
CertStore.`getCRLs​(CRLSelector selector)`
Returns a `Collection` of `CRL`s that match the specified selector.
Methods in java.security.cert with parameters of type CRL
Modifier and Type
Method
Description
`boolean`
CRLSelector.`match​(CRL crl)`
Decides whether a `CRL` should be selected.
`boolean`
X509CRLSelector.`match​(CRL crl)`
Decides whether a `CRL` should be selected.